%define anolis_release 2

%global subname Xmu

Name: libXmu
Summary: X.Org X11 libXmu/libXmuu runtime libraries
Version: 1.1.4
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org
Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: make
BuildRequires: xorg-x11-util-macros xmlto
BuildRequires: pkgconfig(x11) pkgconfig(xext) pkgconfig(xextproto) pkgconfig(xt)

%description
This library contains miscellaneous utilities and is not part of the Xlib
standard.  It contains routines which only use public interfaces so that it
may be layered on top of any proprietary implementation of Xlib or Xt.

%package devel
Summary: X.Org X11 libXmu development package
Requires: %{name} = %{EVR}

%description devel
This is the development package for X.Org X11 libXmu.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

rm -rf $RPM_BUILD_ROOT%{_docdir}

%generate_compatibility_deps

%files
%license COPYING
%dir  %{abidir}
%{_libdir}/libXmu.so.*
%{_libdir}/libXmuu.so.*
%{abidir}/libXmu.dump
%{abidir}/libXmuu.dump

%files devel
%dir %{_includedir}/X11/%{subname}
%{_includedir}/X11/%{subname}/Atoms.h
%{_includedir}/X11/%{subname}/CharSet.h
%{_includedir}/X11/%{subname}/CloseHook.h
%{_includedir}/X11/%{subname}/Converters.h
%{_includedir}/X11/%{subname}/CurUtil.h
%{_includedir}/X11/%{subname}/CvtCache.h
%{_includedir}/X11/%{subname}/DisplayQue.h
%{_includedir}/X11/%{subname}/Drawing.h
%{_includedir}/X11/%{subname}/Editres.h
%{_includedir}/X11/%{subname}/EditresP.h
%{_includedir}/X11/%{subname}/Error.h
%{_includedir}/X11/%{subname}/ExtAgent.h
%{_includedir}/X11/%{subname}/Initer.h
%{_includedir}/X11/%{subname}/Lookup.h
%{_includedir}/X11/%{subname}/Misc.h
%{_includedir}/X11/%{subname}/StdCmap.h
%{_includedir}/X11/%{subname}/StdSel.h
%{_includedir}/X11/%{subname}/SysUtil.h
%{_includedir}/X11/%{subname}/WhitePoint.h
%{_includedir}/X11/%{subname}/WidgetNode.h
%{_includedir}/X11/%{subname}/WinUtil.h
%{_includedir}/X11/%{subname}/Xct.h
%{_includedir}/X11/%{subname}/Xmu.h
%{_libdir}/libXmu.so
%{_libdir}/libXmuu.so
%{_libdir}/pkgconfig/xmu.pc
%{_libdir}/pkgconfig/xmuu.pc

%files doc
%doc README.md
%doc ChangeLog

%changelog
* Tue Apr 11 2023 Heng Qi <hengqi@linux.alibaba.com> - 1.1.4-2
- Refactor the spec file

* Sat Nov 19 2022 Funda Wang <fundawang@yeah.net> - 1.1.4-1
- New version 1.1.4

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.3-2
- add doc package

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.3-1
- Init from upstream version 1.1.3

